package inf43.spring2009.console.displays;

import inf43.spring2009.console.Console;


public abstract class ListElementDisplay<ElementType>
{
	public void show(ElementType element)
	{
		Console.writeLine(toDisplayString(element));
	}
	
	
	protected abstract String toDisplayString(ElementType element);
}
