package inf43.spring2009.console.menus;


public class Command<ModelType>
{
	private String commandString;
	private String description;
	private CommandHandler<ModelType> handler;
	
	
	public Command(
		String commandString, String description,
		CommandHandler<ModelType> handler)
	{
		this.commandString = commandString;
		this.description = description;
		this.handler = handler;
	}
	
	
	public String getCommandString()
	{
		return commandString;
	}
	
	
	public String getDescription()
	{
		return description;
	}
	
	
	public CommandHandlerResult handle(ModelType model)
	throws CommandFailedException
	{
		return handler.run(model);
	}
}
