package inf43.spring2009.tpes.comparators;

import inf43.spring2009.tpes.model.CourseMeeting;
import java.util.Comparator;


public class CourseMeetingsByDayAndTimeComparator implements Comparator<CourseMeeting>
{
	public int compare(CourseMeeting cm1, CourseMeeting cm2)
	{
		int dayComparison =
			cm1.getMeetingInterval().getDayOfWeek()
			.compareTo(cm2.getMeetingInterval().getDayOfWeek());

		if (dayComparison == 0)
		{
			return cm1.getMeetingInterval().getStartTime()
				.compareTo(cm2.getMeetingInterval().getStartTime());
		}
		else
		{
			return dayComparison;
		}
	}
}
