package inf43.spring2009.tpes.formatters;

import inf43.spring2009.console.formatters.Formatter;
import inf43.spring2009.tpes.model.MeetingInterval;


public class MeetingIntervalFormatter implements Formatter<MeetingInterval>
{
	public String format(MeetingInterval meetingInterval)
	{
		ShortDayOfWeekFormatter dayFormatter = new ShortDayOfWeekFormatter();
		TimeOfDayFormatter timeFormatter = new TimeOfDayFormatter();
		
		return dayFormatter.format(meetingInterval.getDayOfWeek()) + " "
			+ timeFormatter.format(meetingInterval.getStartTime()) + "-"
			+ timeFormatter.format(meetingInterval.getEndTime());
	}
}
