package inf43.spring2009.tpes.matchers;

import inf43.spring2009.console.matchers.Matcher;
import inf43.spring2009.tpes.model.Classroom;


public class ClassroomByNameMatcher implements Matcher<Classroom>
{
	private String nameToMatch;
	
	
	public ClassroomByNameMatcher(String nameToMatch)
	{
		this.nameToMatch = nameToMatch;
	}
	
	
	public boolean matches(Classroom classroom)
	{
		return classroom.getName().equals(nameToMatch);
	}
}
