package inf43.spring2009.tpes.matchers;

import inf43.spring2009.console.matchers.Matcher;
import inf43.spring2009.tpes.model.Course;


public class CourseByIdMatcher implements Matcher<Course>
{
	private String idToMatch;
	
	
	public CourseByIdMatcher(String idToMatch)
	{
		this.idToMatch = idToMatch;
	}
	
	
	public boolean matches(Course course)
	{
		return course.getId().equals(idToMatch);
	}
}
