package inf43.spring2009.tpes.matchers;

import inf43.spring2009.console.matchers.Matcher;
import inf43.spring2009.tpes.model.Student;


public class StudentByIdMatcher implements Matcher<Student>
{
	private String idToMatch;
	
	
	public StudentByIdMatcher(String idToMatch)
	{
		this.idToMatch = idToMatch;
	}
	
	
	public boolean matches(Student student)
	{
		return student.getId().equals(idToMatch);
	}
}
