package inf43.spring2009.tpes.model;

import java.io.Serializable;


public class CourseMeeting implements Serializable
{
	private Course course;
	private Classroom classroom;
	private MeetingInterval meetingInterval;
	
	
	public CourseMeeting(Course course, Classroom classroom, MeetingInterval meetingInterval)
	{
		setCourse(course);
		setClassroom(classroom);
		setMeetingInterval(meetingInterval);
	}
	
	
	public Course getCourse()
	{
		return course;
	}
	
	
	public void setCourse(Course course)
	{
		if (course == null)
		{
			throw new IllegalArgumentException("course must not be null");
		}
		
		this.course = course;
	}
	
	
	public Classroom getClassroom()
	{
		return classroom;
	}
	
	
	public void setClassroom(Classroom classroom)
	{
		if (classroom == null)
		{
			throw new IllegalArgumentException("classroom must not be null");
		}
		
		this.classroom = classroom;
	}
	
	
	public MeetingInterval getMeetingInterval()
	{
		return meetingInterval;
	}
	
	
	public void setMeetingInterval(MeetingInterval meetingInterval)
	{
		if (meetingInterval == null)
		{
			throw new IllegalArgumentException("meetingInterval must not be null");
		}
		
		this.meetingInterval = meetingInterval;
	}
}
