package inf43.spring2009.tpes.model;

import java.io.Serializable;


public class TpesData implements Serializable
{
	private ClassroomCollection classrooms;
	private CourseCollection courses;
	private StudentCollection students;
	
	
	public TpesData()
	{
		classrooms = new ClassroomCollection();
		courses = new CourseCollection();
		students = new StudentCollection();
	}
	
	
	public ClassroomCollection getClassrooms()
	{
		return classrooms;
	}
	
	
	public CourseCollection getCourses()
	{
		return courses;
	}
	
	
	public StudentCollection getStudents()
	{
		return students;
	}
	
	
	public void finishSemester()
	{
		courses.clear();
		classrooms.clearAllCourseMeetings();
		students.clearAllEnrolledCourses();
	}
}
