package inf43.spring2009.tpes.validators;

import inf43.spring2009.console.validators.ValidatorBase;
import inf43.spring2009.tpes.model.DayOfWeek;


public class IsNotWeekendDayOfWeekValidator extends ValidatorBase<DayOfWeek>
{
	public IsNotWeekendDayOfWeekValidator(String errorMessage)
	{
		super(errorMessage);
	}
	
	
	protected boolean isValid(DayOfWeek result)
	{
		return result != DayOfWeek.SATURDAY && result != DayOfWeek.SUNDAY;
	}
}
