package inf43.spring2009.console.converters;


public class ToIntConverter implements Converter<Integer>
{
	public Integer convert(String input)
	{
		try
		{
			return Integer.parseInt(input);
		}
		catch (NumberFormatException e)
		{
			throw new ConversionException("A number must be specified");
		}
	}
}
