package inf43.spring2009.console.converters;


public class ToYesNoConverter implements Converter<Boolean>
{
	public Boolean convert(String input)
	{
		String upperInput = input.toUpperCase();
		
		if (upperInput.equals("Y") || upperInput.equals("YES"))
		{
			return true;
		}
		else if (upperInput.equals("N") || upperInput.equals("NO"))
		{
			return false;
		}
		else
		{
			throw new ConversionException("Please enter either Y, YES, N, or NO");
		}
	}
}
