package inf43.spring2009.console.validators;


public class StringMatchesRegexValidator extends ValidatorBase<String>
{
	private String regex;
	
	
	public StringMatchesRegexValidator(String regex, String errorMessage)
	{
		super(errorMessage);
		this.regex = regex;
	}
	
	
	public boolean isValid(String result)
	{
		return result.matches(regex);
	}
}
