package inf43.spring2009.tpes;

import inf43.spring2009.tpes.menus.MainMenu;
import inf43.spring2009.tpes.model.TpesData;
import inf43.spring2009.tpes.model.TpesDataReader;
import inf43.spring2009.tpes.model.TpesDataWriter;


public class Main
{
	public static void main(String[] args)
	{
		TpesData data = null;
		
		try
		{
			data = new TpesDataReader().read("tpes.dat");
		}
		catch (Exception e)
		{
			data = new TpesData();
		}
		
		new MainMenu().run(data);

		try
		{
			new TpesDataWriter().write(data, "tpes.dat");
		}
		catch (Exception e)
		{
		}
	}
}
