package inf43.spring2009.tpes.formatters;

import inf43.spring2009.console.formatters.Formatter;
import inf43.spring2009.tpes.model.SchedulingStatus;


public class SchedulingStatusFormatter implements Formatter<SchedulingStatus>
{
	public String format(SchedulingStatus schedulingStatus)
	{
		switch (schedulingStatus)
		{
		case FULLY_SCHEDULED:
			return "Fully Scheduled";
			
		case PARTIALLY_SCHEDULED:
			return "Partially Scheduled";
			
		case UNSCHEDULED:
			return "Unscheduled";
			
		default:
			throw new IllegalArgumentException(
				"Unknown scheduling status: " + schedulingStatus.toString());
		}
	}
}
