package inf43.spring2009.tpes.model;


public class CourseMeetingOverlapsException extends Exception
{
	private CourseMeeting existingMeeting;
	private CourseMeeting newMeeting;

	
	public CourseMeetingOverlapsException(
		CourseMeeting existingMeeting, CourseMeeting newMeeting)
	{
		this.existingMeeting = existingMeeting;
		this.newMeeting = newMeeting;
	}
	
	
	public CourseMeeting getExistingMeeting()
	{
		return existingMeeting;
	}
	
	
	public CourseMeeting getNewMeeting()
	{
		return newMeeting;
	}
}
