package inf43.spring2009.tpes.validators;

import inf43.spring2009.console.validators.ValidatorBase;
import inf43.spring2009.tpes.model.TimeOfDay;


public class IsNotAfterTimeOfDayValidator extends ValidatorBase<TimeOfDay>
{
	private TimeOfDay comparisonTime;
	
	
	public IsNotAfterTimeOfDayValidator(TimeOfDay comparisonTime, String errorMessage)
	{
		super(errorMessage);
		this.comparisonTime = comparisonTime;
	}
	
	
	protected boolean isValid(TimeOfDay result)
	{
		return !result.after(comparisonTime);
	}
}
